## nm-tray 0.3.0

=== CMakeLists.txt ===
project(nm-tray)
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)

set(NM_TRAY_VERSION "0.3.0")

set(QT_MIN_VERSION "5.4.0")

set(CMAKE_AUTOMOC on)
set(CMAKE_AUTOUIC on)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Widgets
    Gui
    Network
    DBus

    LinguistTools
)
find_package(KF5NetworkManagerQt "5.24.0" REQUIRED)
include(GNUInstallDirs)

set(TRANSLATION_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS "-DTRANSLATION_DIR=\"${TRANSLATION_DIR}\"" "-DNM_TRAY_VERSION=\"${NM_TRAY_VERSION}\"")
if (NOT NM_TRAY_XDG_AUTOSTART_DIR)
    #Note: we need the default to be /etc... (not the ${CMAKE_INSTALL_PREFIX}/etc)
    set(NM_TRAY_XDG_AUTOSTART_DIR "/${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart")
endif ()

message(STATUS "Translations destination dir: ${TRANSLATION_DIR}")
message(STATUS "Autostart .desktop entry destination dir: ${NM_TRAY_XDG_AUTOSTART_DIR}\n   (can be overriden by setting the NM_TRAY_XDG_AUTOSTART_DIR cmake variable)")

set(SRCS
    src/log.cpp
    src/icons.cpp
    src/nmmodel.cpp
    src/nmproxy.cpp
    src/connectioninfo.cpp
    src/nmlist.cpp
    src/menuview.cpp
    src/windowmenu.cpp
    src/tray.cpp
    src/translate.cpp
    src/main.cpp
)


file(GLOB TSS "translations/${PROJECT_NAME}_*.ts")
if (UPDATE_TRANSLATIONS)
    message(WARNING "!! Disable updating translation after make (-DUPDATE_TRANSLATIONS=no) to avoid 'make clean' delete them !!")
    qt5_create_translation(QMS "translations/${PROJECT_NAME}.ts" ${TSS} "src")
else ()
    qt5_add_translation(QMS ${TSS})
endif()

qt5_add_dbus_interface(SRCS
    dbus/org.freedesktop.Notifications.xml
    dbus/org.freedesktop.Notifications
)

add_executable(nm-tray
    ${SRCS}
    ${QMS}
)

set_property(TARGET nm-tray PROPERTY CXX_STANDARD 11)
set_property(TARGET nm-tray PROPERTY CXX_STANDARD_REQUIRED on)

target_link_libraries(nm-tray
    Qt5::Widgets
    Qt5::Gui
    KF5::NetworkManagerQt
)

if (WITH_MODEMMANAGER_SUPPORT)
    target_link_libraries(nm-tray KF5::ModemManagerQt)
endif()

install(TARGETS nm-tray RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" COMPONENT runtime)
install(FILES ${QMS} DESTINATION "${TRANSLATION_DIR}" COMPONENT translations)
install(FILES "resources/nm-tray.desktop" DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications" COMPONENT data)
install(FILES "resources/nm-tray-autostart.desktop" DESTINATION "${NM_TRAY_XDG_AUTOSTART_DIR}" COMPONENT data)

=== debian/changelog ===
nm-tray (0.3.0-0ubuntu1) bionic; urgency=medium

  * Initial release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Feb 2018 20:56:10 -0600

=== debian/control ===
Source: nm-tray
Section: net
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>,
           Julien Lavergne <gilir@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 11),
               libkf5networkmanagerqt-dev (>= 5.24.0),
               qtbase5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0)
Standards-Version: 4.1.3
Homepage: https://github.com/palinek/nm-tray
Vcs-Browser: https://git.launchpad.net/~lubuntu-dev/+git/nm-tray-packaging
Vcs-Git: https://git.launchpad.net/~lubuntu-dev/+git/nm-tray-packaging

Package: nm-tray
Architecture: any
Depends: libkf5networkmanagerqt-dev (>= 5.24.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: simple NetworkManager front end
 nm-tray is a simple NetworkManager front end with information icon residing
 in system tray (like e.g. nm-applet). It's a pure Qt application. For
 interaction with NetworkManager it uses API provided by
 KF5::NetworkManagerQt -> plain DBus communication.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ -buildsystem cmake


override_dh_auto_configure:
	dh_auto_configure --\
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DDOM_PLUGIN=YES \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d.]*)\.tar\.gz/$1.tar.gz/" \
         https://github.com/palinek/nm-tray/tags (?:.*/)?v?(\d[\d.]*)\.tar\.gz

## nm-tray 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
 project(nm-tray)
+
 cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_policy(SET CMP0071 NEW)
 
-set(NM_TRAY_VERSION "0.3.0")
+set(NM_TRAY_VERSION "0.4.1")
 
 set(QT_MIN_VERSION "5.4.0")
+set(KF5_MIN_VERSION "5.36.0")
 
 set(CMAKE_AUTOMOC on)
 set(CMAKE_AUTOUIC on)
@@ -18,14 +21,14 @@
 
     LinguistTools
 )
-find_package(KF5NetworkManagerQt "5.24.0" REQUIRED)
+find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION} REQUIRED)
 include(GNUInstallDirs)
 
 set(TRANSLATION_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
 add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS "-DTRANSLATION_DIR=\"${TRANSLATION_DIR}\"" "-DNM_TRAY_VERSION=\"${NM_TRAY_VERSION}\"")
 if (NOT NM_TRAY_XDG_AUTOSTART_DIR)
     #Note: we need the default to be /etc... (not the ${CMAKE_INSTALL_PREFIX}/etc)
-    set(NM_TRAY_XDG_AUTOSTART_DIR "/${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart")
+    set(NM_TRAY_XDG_AUTOSTART_DIR "${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart")
 endif ()
 
 message(STATUS "Translations destination dir: ${TRANSLATION_DIR}")
@@ -74,6 +77,8 @@
 )
 
 if (WITH_MODEMMANAGER_SUPPORT)
+    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Xml)
+    find_package(KF5ModemManagerQt ${KF5_MIN_VERSION} REQUIRED)
     target_link_libraries(nm-tray KF5::ModemManagerQt)
 endif()
 
@@ -81,3 +86,4 @@
 install(FILES ${QMS} DESTINATION "${TRANSLATION_DIR}" COMPONENT translations)
 install(FILES "resources/nm-tray.desktop" DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications" COMPONENT data)
 install(FILES "resources/nm-tray-autostart.desktop" DESTINATION "${NM_TRAY_XDG_AUTOSTART_DIR}" COMPONENT data)
+install(FILES "resources/nm-tray.conf" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}" COMPONENT data)

=== debian/changelog ===
nm-tray (0.4.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release.
  * Bump Standards-version to 4.2.1, no changes needed.
  * Remove the reverse-applicable fix-internal-version.patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 16:59:03 -0500

nm-tray (0.4.0-0ubuntu3) cosmic; urgency=medium

  * Blacklist from menus.

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 18 Sep 2018 23:15:13 -0700

nm-tray (0.4.0-0ubuntu2) cosmic; urgency=medium

  [ Simon Quigley ]
  * Update Vcs-* for the new location.

  [ Walter Lapchynski ]
  * generalize-terminal-for-edits.patch: Use x-terminal-emulator in lieu of
    xterm for connection editing. (LP: #1786978)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Aug 2018 01:11:08 -0500

nm-tray (0.4.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.5, no changes needed.
  * Remove gilir as an uploader as he has left the team.
  * Bump KF5 dependencies to 5.36.0.
  * Update copyright.
  * Remove upstream-applicable fix-xdg-install-dir.patch.
  * Bump internal version which was missed upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Jul 2018 17:46:18 -0500

=== debian/control ===
Source: nm-tray
Section: net
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 11),
               libkf5networkmanagerqt-dev (>= 5.36.0),
               qtbase5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0)
Standards-Version: 4.2.1
Homepage: https://github.com/palinek/nm-tray
Vcs-Browser: https://phab.lubuntu.me/source/nm-tray/
Vcs-Git: https://phab.lubuntu.me/source/nm-tray.git

Package: nm-tray
Architecture: any
Depends: libkf5networkmanagerqt-dev (>= 5.36.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: simple NetworkManager front end
 nm-tray is a simple NetworkManager front end with information icon residing
 in system tray (like e.g. nm-applet). It's a pure Qt application. For
 interaction with NetworkManager it uses API provided by
 KF5::NetworkManagerQt -> plain DBus communication.

## nm-tray 0.4.2

=== debian/changelog ===
nm-tray (0.4.2-1.lnd.1) unstable; urgency=medium

  * Fix double network icons,setting conflict with network-manager-gnome

 -- Dandan Zhang <zhangdandan@loongson.cn> Fri, 05 Aug 2022 13:06:26 +0800

nm-tray (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:23:37 +0800

nm-tray (0.4.2-1) unstable; urgency=medium

  * Cherry-picked new upstream release 0.4.2

 -- Alf Gaida <agaida@siduction.org>  Sat, 20 Oct 2018 12:52:26 +0200

nm-tray (0.4.1-1) unstable; urgency=medium

  * Cherry-picked new upstream release 0.4.1
  * Added Dependency qterminal | x-terminal-emulator
  * Bumped Standards to 4.2.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Fri, 14 Sep 2018 23:19:21 +0200

nm-tray (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #890354)

 -- Alf Gaida <agaida@siduction.org>  Sat, 25 Aug 2018 16:58:47 +0200

=== debian/control ===
Source: nm-tray
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               libkf5networkmanagerqt-dev,
               modemmanager-qt-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/nm-tray
Vcs-Git: https://salsa.debian.org/lxqt-team/nm-tray.git
Homepage: https://github.com/palinek/nm-tray


Package: nm-tray
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         network-manager,
         qterminal | x-terminal-emulator
Conflicts: network-manager-gnome
Recommends: nm-tray-l10n
Description: Simple Network Manager frontend written in Qt
 nm-tray is a simple NetworkManager front end with information icon residing
 in system tray (like e.g. nm-applet). It's a pure Qt application. For
 interaction with NetworkManager it uses API provided by KF5::NetworkManagerQt
 -> plain DBus communication.
 .
 This package contain the application files.

Package: nm-tray-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for nm-tray
 nm-tray is a simple NetworkManager front end with information icon residing
 in system tray (like e.g. nm-applet).
 .
 This package contains the l10n files needed by nm-tray.

## nm-tray 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
 cmake_policy(SET CMP0071 NEW)
 
-set(NM_TRAY_VERSION "0.4.1")
+set(NM_TRAY_VERSION "0.4.2")
 
 set(QT_MIN_VERSION "5.4.0")
 set(KF5_MIN_VERSION "5.36.0")

=== debian/changelog ===
nm-tray (0.4.3-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + build with -Wall -pedantic
      + keep DOM_PLUGIN=YES and PULL_TRANSLATIONS=NO
    - debian/patches/blacklist-from-menu.patch
    - debian/patches/generalize-terminal-for-edits.patch
  * Dropped changes, included upstream:
    - debian/patches/include_used_class.patch
      + included as debian/patches/nmmodel.cpp
    - debian/control:
      + build-depend on qtbase5-dev, required by d/p/include_used_class.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 17 Feb 2021 15:56:49 +0100

nm-tray (0.4.3-2) unstable; urgency=medium

  * Switched to gbp
  * Added upstream patch for incomplete type 'class QMetaEnum'
    (Closes: #941648)
  * Added Rules-Requires-Root field

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Oct 2019 19:39:14 +0200

nm-tray (0.4.3-1) unstable; urgency=medium

  * Cherry-picked new upstream release 0.4.3
  * Switched from debhelper to debhelper-compat, no changes needed
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 15 Aug 2019 23:25:48 +0200

nm-tray (0.4.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:45 +0100

nm-tray (0.4.3-0ubuntu2) eoan; urgency=medium

  * Add missing include for used class
  * Removed dependency on libkf5networkmanagerqt-dev (LP: #1816267)

 -- apt-ghetto <apt-ghetto@lubuntu.me>  Wed, 09 Oct 2019 18:26:16 +0200

nm-tray (0.4.3-0ubuntu1) eoan; urgency=medium

  * Bump version for new upstream release 0.4.3
  * Bump Standards-version to 4.4.0, no changes needed
  * Bump debhelper to 12, no changes needed

 -- Hans P Möller <hmoller@gmail.com>  Fri, 09 Aug 2019 22:11:38 -0400

nm-tray (0.4.1-0ubuntu3) eoan; urgency=medium

  * Reverted previous commit 1bc4f5406954

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 30 Jul 2019 19:38:35 -0700

nm-tray (0.4.1-0ubuntu2) eoan; urgency=medium

  * Changed connection editor to nm-connnection-editor

 -- Hans P Möller <hmollercl@lubuntu.me>  Mon, 01 Jul 2019 10:28:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: nm-tray
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libkf5networkmanagerqt-dev,
                modemmanager-qt-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Homepage: https://github.com/palinek/nm-tray
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nm-tray
 Vcs-Git: https://salsa.debian.org/lxqt-team/nm-tray.git
-Homepage: https://github.com/palinek/nm-tray
-
+Rules-Requires-Root: no
 
 Package: nm-tray
 Architecture: any
@@ -22,7 +24,6 @@
          ${shlibs:Depends},
          network-manager,
          qterminal | x-terminal-emulator
-Conflicts: network-manager-gnome
 Recommends: nm-tray-l10n
 Description: Simple Network Manager frontend written in Qt
  nm-tray is a simple NetworkManager front end with information icon residing

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=NO \
		-DWITH_MODEMMANAGER_SUPPORT=YES \
		-DDOM_PLUGIN=YES \
		-DPULL_TRANSLATIONS=NO \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_missing:
	dh_missing --fail-missing

## nm-tray 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 set(CMAKE_AUTOMOC on)
 set(CMAKE_AUTOUIC on)
+set(CMAKE_AUTORCC on)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
 
@@ -48,6 +49,9 @@
     src/main.cpp
 )
 
+set(RESOURCES
+    resources/icons.qrc
+)
 
 file(GLOB TSS "translations/${PROJECT_NAME}_*.ts")
 if (UPDATE_TRANSLATIONS)
@@ -65,6 +69,7 @@
 add_executable(nm-tray
     ${SRCS}
     ${QMS}
+    ${RESOURCES}
 )
 
 set_property(TARGET nm-tray PROPERTY CXX_STANDARD 11)

=== debian/changelog ===
nm-tray (0.5.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2065347). Remaining changes:
    - debian/rules:
      + build with -Wall -pedantic
      + keep DOM_PLUGIN=YES and PULL_TRANSLATIONS=NO
    - debian/patches/blacklist-from-menu.patch
    - debian/patches/generalize-terminal-for-edits.patch
  * Dropped changes:
    - debian/control: Add Simon Quigley as one of the uploaders
    - "Bump debhelper compat and Standards-version, no changes needed."
      Already applied in Debian.

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 09 May 2024 16:07:11 -0600

nm-tray (0.5.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which
      is now the default.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in  machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Andrew Lee (李健秋) ]
  * Update team email to <team+lxqt@tracker.debian.org>.
  * debian/control: add myself as uploader.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 05 Sep 2023 20:40:01 +0200

nm-tray (0.5.0-1) unstable; urgency=medium

  [ suman rajan ]
  * New upstream version 0.5.0
  * debian/copyright: Added new entry for  debian copyright
  * debian/lintian-overrides: Updated lintian overrides
  * debian/patches: Removed nmmodel.patch
  * debian/gbp.conf: Changed compression to gz

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.

 -- suman rajan <suman@cryptolab.net>  Mon, 18 Jul 2022 17:10:31 +0200

nm-tray (0.5.0-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:22 +0200

nm-tray (0.5.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:21:14 +0000

nm-tray (0.5.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:04:24 +0000

nm-tray (0.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump debhelper compat and Standards-version, no changes needed.
  * Remove reverse-applicable patch.
  * Wraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaap.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 23:49:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: nm-tray
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libkf5networkmanagerqt-dev,
                modemmanager-qt-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/palinek/nm-tray
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nm-tray
 Vcs-Git: https://salsa.debian.org/lxqt-team/nm-tray.git

## nm-tray 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
+cmake_minimum_required(VERSION 3.6.0 FATAL_ERROR)
+
 project(nm-tray)
 
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
 cmake_policy(SET CMP0071 NEW)
 
-set(NM_TRAY_VERSION "0.4.2")
+set(NM_TRAY_VERSION "0.5.1")
 
-set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.36.0")
+set(QT_MIN_VERSION "6.6.2")
+set(KF6_MIN_VERSION "6.5.0")
 
 set(CMAKE_AUTOMOC on)
 set(CMAKE_AUTOUIC on)
@@ -14,7 +15,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Widgets
     Gui
     Network
@@ -22,7 +23,7 @@
 
     LinguistTools
 )
-find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION} REQUIRED)
 include(GNUInstallDirs)
 
 set(TRANSLATION_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
@@ -56,12 +57,12 @@
 file(GLOB TSS "translations/${PROJECT_NAME}_*.ts")
 if (UPDATE_TRANSLATIONS)
     message(WARNING "!! Disable updating translation after make (-DUPDATE_TRANSLATIONS=no) to avoid 'make clean' delete them !!")
-    qt5_create_translation(QMS "translations/${PROJECT_NAME}.ts" ${TSS} "src")
+    qt6_create_translation(QMS "translations/${PROJECT_NAME}.ts" ${TSS} "src")
 else ()
-    qt5_add_translation(QMS ${TSS})
+    qt6_add_translation(QMS ${TSS})
 endif()
 
-qt5_add_dbus_interface(SRCS
+qt6_add_dbus_interface(SRCS
     dbus/org.freedesktop.Notifications.xml
     dbus/org.freedesktop.Notifications
 )
@@ -72,19 +73,19 @@
     ${RESOURCES}
 )
 
-set_property(TARGET nm-tray PROPERTY CXX_STANDARD 11)
+set_property(TARGET nm-tray PROPERTY CXX_STANDARD 17)
 set_property(TARGET nm-tray PROPERTY CXX_STANDARD_REQUIRED on)
 
 target_link_libraries(nm-tray
-    Qt5::Widgets
-    Qt5::Gui
-    KF5::NetworkManagerQt
+    Qt6::Widgets
+    Qt6::Gui
+    KF6::NetworkManagerQt
 )
 
 if (WITH_MODEMMANAGER_SUPPORT)
-    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Xml)
-    find_package(KF5ModemManagerQt ${KF5_MIN_VERSION} REQUIRED)
-    target_link_libraries(nm-tray KF5::ModemManagerQt)
+    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Xml)
+    find_package(KF6ModemManagerQt ${KF6_MIN_VERSION} REQUIRED)
+    target_link_libraries(nm-tray KF6::ModemManagerQt)
 endif()
 
 install(TARGETS nm-tray RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" COMPONENT runtime)

=== debian/changelog ===
nm-tray (0.5.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * Update dependencies for Qt 6.
  * Bump Standards-version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:17:23 -0500

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libkf5networkmanagerqt-dev,
-               modemmanager-qt-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.6.1
+               libkf6networkmanagerqt-dev (>= 6.5.0),
+               libkf6modemmanagerqt-dev (>= 6.5.0),
+               qt6-tools-dev (>= 6.6.2),
+               qt6-tools-dev-tools (>= 6.6.2)
+Standards-Version: 4.7.0
 Homepage: https://github.com/palinek/nm-tray
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nm-tray
 Vcs-Git: https://salsa.debian.org/lxqt-team/nm-tray.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh ${@} --buildsystem cmake
@@ -16,6 +15,3 @@
 		-DDOM_PLUGIN=YES \
 		-DPULL_TRANSLATIONS=NO \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/nm-tray-$1\.tar\.gz/ \
  https://github.com/palinek/nm-tray/tags .*/v?(\d\S+)\.tar\.gz
